import Command from '../Command';
import CommandContext from '../CommandContext';
import FeatureType from '../model/FeatureType';
declare class AddFeatureToTopicCommand extends Command {
    private _topicId;
    private _featureType;
    private _attributes;
    private _featureModel;
    constructor(topicId: number, featureType: FeatureType, attributes: object);
    /**
           * Overrides abstract parent method
           */
    execute(commandContext: CommandContext): void;
    /**
           * Overrides abstract parent method
           * @see {@link mindplot.Command.undoExecute}
           */
    undoExecute(commandContext: CommandContext): void;
}
export default AddFeatureToTopicCommand;
